This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305002 - When a Repository is removed from the Satellite Server, packages are still available in the Capsule Server
When a Repository is removed from the Satellite Server, packages are still av...
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule (Show other bugs)
6.1.6
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: John Mitsch
Peter Ondrejka
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 04:48 EST by anerurka
Modified: 2017-09-14 15:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15821 None None None 2016-07-24 12:18 EDT

  None (edit)
Description anerurka 2016-02-05 04:48:59 EST
Description of problem:

When a Repository is removed from the Satellite Server, packages are still available in the Capsule Server

Version-Release number of selected component (if applicable):

Satellite Server v.6.1.6

How reproducible:

Steps to Reproduce:

>>> Over the Satellite Server :

1. Disable a Repository from the Satellite Server

Log in to Satellite --> Content --> Red Hat Repository --> Unchecked the Repository that needs to be disabled

2. Clear the Orphan Packages over the Capsule Server:

# foreman-rake katello:delete_orphaned_content RAILS_ENV=production >/dev/null

3. Execute Capsule sync from the Satellite Server

# hammer capsule content synchronize --id <ID>

4. Clear the yum cache over the Content host registered through the Capsule Server:

# rm -rf /var/cache/yum/*
# yum clean all

Actual results:

# yum repolist  >>> It still list the disabled repository

Expected results:

# yum repolist  >>> It should not list the disabled repository
Comment 5 Brad Buckingham 2016-07-24 12:17:58 EDT
Created redmine issue http://projects.theforeman.org/issues/15821 from this bug
Comment 6 John Mitsch 2016-07-26 11:04:19 EDT
When recreating and checking yum repolist, I am seeing 0 repos listed for the repo and an error in finding the repomd.xml file for that repository.

A subscription-manager clean and re-registering removed this error.

I an investigating if this is an error of subscription-manager or Satellite.

[root@capsule-snap-rhel7 ~]# yum clean all; yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Cleaning repos: rhel-7-server-rh-common-rpms
Cleaning up everything
Loaded plugins: product-id, search-disabled-repos, subscription-manager
https://sat-snap-rhel7.example.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/rh-common/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
To address this issue please refer to the below knowledge base article 

https://access.redhat.com/articles/1320623

If above article doesn't help to resolve this issue please open a ticket with Red Hat Support.

https://sat-snap-rhel7.example.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/rh-common/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found
Trying other mirror.
repo id                                                                             repo name                                                                                     status
rhel-7-server-rh-common-rpms/7Server/x86_64                                         Red Hat Enterprise Linux 7 Server - RH Common (RPMs)                                          0
repolist: 0
Comment 7 John Mitsch 2016-07-26 14:34:24 EDT
The content isn't being cleared when a repository is disabled. This is actually a different issue as the content isn't available to yum. The issue is currently being worked on and I filed it here.

https://bugzilla.redhat.com/show_bug.cgi?id=1360430

Can we test that when a repository is disabled, the associated capsule no longer has the actual content available? yum repolist should show 0 packages available for that repo

Note You need to log in before you can comment on or make changes to this bug.